Summary:	The talloc library - a hierarchical pool based memory system
Summary(pl.UTF-8):	Biblioteka talloc - system przydzielania pamięci oparty na hierarchicznej puli
Name:		talloc
Version:	2.1.1
Release:	1
Epoch:		2
License:	LGPL v3+
Group:		Libraries
Source0:	http://www.samba.org/ftp/talloc/%{name}-%{version}.tar.gz
# Source0-md5:	5dffb86414218a91864ed4453ba9be07
URL:		http://talloc.samba.org/
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt-progs
BuildRequires:	python >= 1:2.4.2
BuildRequires:	python-devel >= 1:2.4.2
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Provides:	libtalloc = 2:%{version}-%{release}
Obsoletes:	libtalloc < 2:2.0.7-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The talloc library implements a hierarchical allocator with
destructors.

%description -l pl.UTF-8
Biblioteka talloc jest implementacją systemu zarządzania pamięcią
opartego na hierarchicznej puli wraz z destruktorami.

%package devel
Summary:	Development files for the talloc library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki talloc
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	libtalloc-devel = 2:%{version}-%{release}
Obsoletes:	libtalloc-devel < 2:2.0.7-2
Obsoletes:	libtalloc-static

%description devel
Development files needed to create programs that link against the
talloc library.

%description devel -l pl.UTF-8
Pliki programistyczne potrzebne do tworzenia programów używających
biblioteki talloc.

%package -n python-talloc
Summary:	Python binding for talloc library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki talloc
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python-libs >= 1:2.4.2

%description -n python-talloc
Python binding for talloc library.

%description -n python-talloc -l pl.UTF-8
Wiązanie Pythona do biblioteki talloc.

%package -n python-talloc-devel
Summary:	Development files for pytalloc-util library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki pytalloc-util
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	python-devel >= 1:2.4.2
Requires:	python-talloc = %{epoch}:%{version}-%{release}

%description -n python-talloc-devel
Development files for pytalloc-util library.

%description -n python-talloc-devel -l pl.UTF-8
Pliki programistyczne biblioteki pytalloc-util.

%prep
%setup -q

%build
# note: configure in fact is waf call
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
PYTHONDIR=%{py_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- libtalloc < 2:2.0.1-5
-rm -f %{_libdir}/libtalloc.so.2
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtalloc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtalloc.so.2

%files devel
%defattr(644,root,root,755)
%doc talloc_guide.txt
%attr(755,root,root) %{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%{_pkgconfigdir}/talloc.pc
%{_mandir}/man3/talloc.3*

%files -n python-talloc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpytalloc-util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpytalloc-util.so.2
%attr(755,root,root) %{py_sitedir}/talloc.so

%files -n python-talloc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpytalloc-util.so
%{_includedir}/pytalloc.h
%{_pkgconfigdir}/pytalloc-util.pc
%changelog
* Tue Oct 07 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/talloc.git;a=log;h=master

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 7de18df
- updated to 2.1.1

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> f9f4d59
- updated to 2.1.0

* Tue Jan 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4b6a839
- updated to 2.0.8
- added buildconflict in samba package for python-talloc-devel

* Thu Feb 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 30c53b6
- document the samba issue

* Mon Feb 13 2012 Jakub Bogusz <qboosh@pld-linux.org> d299e0c
- epoch 2: there already were python-talloc 2:2.0.6 packages in Th before spec rename from libtalloc
- release 4

* Thu Dec 15 2011 Jan Rękorajski <baggins@pld-linux.org> 709b3e8
- rel 3

* Thu Dec 15 2011 Jan Rękorajski <baggins@pld-linux.org> f0d9f46
- rel 2
- evr for R/P/O

* Thu Dec 15 2011 Jan Rękorajski <baggins@pld-linux.org> bea8ac3
- warning added

* Thu Dec 15 2011 Jan Rękorajski <baggins@pld-linux.org> 9f6fa24
- back to 2.0.6 as 2.0.7 is incompatible with samba 3.6.x
- epoch 1

* Thu Oct 20 2011 Elan Ruusamäe <glen@pld-linux.org> 40b9a6c
- fix release

* Thu Oct 20 2011 Elan Ruusamäe <glen@pld-linux.org> 747c919
- rename to talloc, like upstream

* Mon Sep 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 871643a
- updated to 2.0.7

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 61f21d1
- updated to 2.0.6

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 2228f49
- BR: docbook-dtd42-xml, python-modules, rpm-pythonprov

* Tue Jan 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 2fa8f90
- updated to 2.0.5
- project has switched to waf; -static is gone
- package python binding

* Mon Oct 25 2010 Jakub Bogusz <qboosh@pld-linux.org> ae0209a
- fixed base group

* Mon Oct 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 76e3b08
- pl
- package static library
- dropped bogus Provides (autogenerated)
- don't hide autoconf calls behind autogen.sh

* Mon Sep 06 2010 Elan Ruusamäe <glen@pld-linux.org> fae138d
- rm file before ldconfig in trigger; rel 5

* Mon Aug 30 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> aa06a93
- rel 4; fix libtalloc.so.2(file->symlink) on samba libtalloc -> this libtalloc upgrade

* Mon Aug 30 2010 Elan Ruusamäe <glen@pld-linux.org> bcf5da1
- revert bogus commit

